Skip to main content
GET
/
api
/
v2
/
network
/
aff-billing
/
invoices
List invoices
curl --request GET \
  --url 'https://{domain}/api/v2/network/aff-billing/invoices?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "invoices": [
      {
        "id": 123,
        "invoice_number": "<string>",
        "date": "<string>",
        "status": "<string>",
        "amount": {
          "value": "<string>",
          "currency": "<string>"
        },
        "referral_commission": {
          "value": "<string>",
          "currency": "<string>"
        },
        "period": "<string>",
        "attachment": "<string>",
        "internal_notes": "<string>",
        "affiliate": {
          "id": 123,
          "name": "<string>"
        },
        "payment_method": {
          "id": 123,
          "title": "<string>",
          "image": "<string>",
          "info": "<string>",
          "metadata": {
            "show_warning": true,
            "changed_at": 123,
            "changed_by": "<string>"
          }
        },
        "offers": [
          {
            "id": 123,
            "title": "<string>"
          }
        ],
        "goal_types": [
          {
            "id": 123,
            "title": "<string>"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Response

Invoices list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object